/*
 * bladeui.h
 *
 * Functions to provide a basic text-mode user interface for Biting Blades 2
 * engine
 */

#ifndef __bladeui__
#define __bladeui__

#include "bladelib.h"

enum card_format_enum {card_format_brief, card_format_long};
extern enum card_format_enum card_format;

/* 
 * Display player's status
 */
extern void show_player_state(player_info player);

/*
 * Display weapon stats
 */
extern void show_weapon(weapon_data weapon);

/* 
 * Display a single attack card
 */
extern void show_attack_card(attack_card attack);

/* 
 * Display player's attack hand and return number of cards in hand
 */
extern int show_attack_hand(player_info player);

/* 
 * Display a single defense card
 */
extern void show_defense_card(defense_card defense);

/*
 * Display player's defense hand and return number of cards in hand
 */
extern int show_defense_hand(player_info player);

/*
 * Display player's full hand
 */
extern void show_hand(player_info player);

/*
 * Allow player refill hand by drawing up to num_cards cards.  If num_cards
 * is 0, player may continue drawing cards until all attack, defense, and
 * free slots are filled.
 */
extern void draw_cards(player_info *player, int num_cards);

#endif // __bladeui__
